.button{
    transition: all .4s;
}
.button.animation{
    padding: 20px;
    color: #fff;
    font-weight: 700;
    border: none;
    background: linear-gradient(-45deg, #EE7752, #E73C7E, #23A6D5, #23D5AB);
	background-size: 400% 400%;
	animation: Gradient 10s ease infinite;
}
@keyframes Gradient {
	0% {
		background-position: 0% 50%
	}
	50% {
		background-position: 100% 50%
	}
	100% {
		background-position: 0% 50%
	}
}